﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinSchedule;

namespace _126451
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            
            // TODO: This line of code loads data into the 'ganttViewDatabaseDataSet.Tasks' table. You can move, or remove it, as needed.
            this.tasksTableAdapter.Fill(this.ganttViewDatabaseDataSet.Tasks);
            // TODO: This line of code loads data into the 'ganttViewDatabaseDataSet.Projects' table. You can move, or remove it, as needed.
            this.projectsTableAdapter.Fill(this.ganttViewDatabaseDataSet.Projects);
            

           

           
            //  Call the method that creates a DataSet
           // DataSet ds = this.GetSampleData();

            //  Set the BindingContextControl property to reference this form
            this.ultraCalendarInfo1.DataBindingsForTasks.BindingContextControl = this;
            this.ultraCalendarInfo1.DataBindingsForProjects.BindingContextControl = this;

            //  Set the DataBinding members for Projects 
            this.ultraCalendarInfo1.DataBindingsForProjects.SetDataBinding(this.ganttViewDatabaseDataSet, "Projects");
            this.ultraCalendarInfo1.DataBindingsForProjects.IdMember = "ProjectID";
            this.ultraCalendarInfo1.DataBindingsForProjects.KeyMember = "ProjectKey";
            this.ultraCalendarInfo1.DataBindingsForProjects.NameMember = "ProjectName";
            this.ultraCalendarInfo1.DataBindingsForProjects.StartDateMember = "ProjectStartTime";

            //  Set the DataBinding members for Tasks
            this.ultraCalendarInfo1.DataBindingsForTasks.SetDataBinding(this.ganttViewDatabaseDataSet, "Tasks");

            // Basic Task properties 
            this.ultraCalendarInfo1.DataBindingsForTasks.NameMember = "TaskName";
            // this.ultraCalendarInfo1.DataBindingsForTasks.DurationMember = "TaskDuration";
            this.ultraCalendarInfo1.DataBindingsForTasks.StartDateTimeMember = "TaskStartTime";
            this.ultraCalendarInfo1.DataBindingsForTasks.IdMember = "TaskID";
            this.ultraCalendarInfo1.DataBindingsForTasks.ProjectKeyMember = "ProjectKey";
            this.ultraCalendarInfo1.DataBindingsForTasks.ParentTaskIdMember = "ParentTaskID";

            this.ultraCalendarInfo1.DataBindingsForTasks.ConstraintMember = "Constraint";
            this.ultraCalendarInfo1.DataBindingsForTasks.PercentCompleteMember = "TaskPercentComplete";
            // All other properties
            this.ultraCalendarInfo1.DataBindingsForTasks.AllPropertiesMember = "AllProperties";

            //  Since we are showing a task that belongs to an explicitly defined
            //  project (i.e., not the UnassignedProject), assign that project to
            //  the control's Project property so the control knows to display that project.
            this.ultraGanttView1.CalendarInfo = this.ultraCalendarInfo1;
            this.ultraGanttView1.Project = this.ultraGanttView1.CalendarInfo.Projects[1];

            ganttViewDatabaseDataSet.AcceptChanges();
            ganttViewDatabaseDataSet.Tasks.RowChanging += new DataRowChangeEventHandler(Tasks_RowChanging);
            
        }

        void Tasks_RowChanging(object sender, DataRowChangeEventArgs e)
        {
            try
            {
                listBox1.Items.Add(string.Format("Action:{0}", e.Action));
                listBox1.Items.Add(string.Format("TaskID:{0}", e.Row.ItemArray[0]));
                listBox1.Items.Add(string.Format("Row Position at database:{0}", e.Row.Table.Rows.IndexOf(e.Row)));
            }
            catch
            {
                listBox1.Items.Add("Commit deleted Row");
            }
        }


        private void button1_Click(object sender, EventArgs e)
        {

            this.tasksTableAdapter.Update(this.ganttViewDatabaseDataSet.Tasks);
        }

       

    }
}
